# identify.c File Reference

`#include "magick/studio.h"`
`#include "magick/annotate.h"`
`#include "magick/artifact.h"`
`#include "magick/blob.h"`
`#include "magick/client.h"`
`#include "magick/coder.h"`
`#include "magick/color.h"`
`#include "magick/configure.h"`
`#include "magick/constitute.h"`
`#include "magick/decorate.h"`
`#include "magick/delegate.h"`
`#include "magick/draw.h"`
`#include "magick/effect.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/identify.h"`
`#include "magick/image.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/locale_.h"`
`#include "magick/log.h"`
`#include "magick/magic.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/module.h"`
`#include "magick/monitor.h"`
`#include "magick/montage.h"`
`#include "magick/option.h"`
`#include "magick/pixel-private.h"`
`#include "magick/prepress.h"`
`#include "magick/profile.h"`
`#include "magick/property.h"`
`#include "magick/quantize.h"`
`#include "magick/quantum.h"`
`#include "magick/random_.h"`
`#include "magick/resize.h"`
`#include "magick/resource_.h"`
`#include "magick/signature.h"`
`#include "magick/statistic.h"`
`#include "magick/string_.h"`
`#include "magick/timer.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`
`#include "lcms.h"`

## Defines

#define | IdentifyFormat

## Functions

MagickExport MagickBooleanType | IdentifyImage (Image *image, FILE *file, const MagickBooleanType verbose)

## Define Documentation

#define IdentifyFormat

Value:

    "    %s:\n      Min: " QuantumFormat  \
      " (%g)\n      Max: " QuantumFormat " (%g)\n"  \
      "      Mean: %g (%g)\n      Standard deviation: %g (%g)\n"

## Function Documentation

MagickExport MagickBooleanType IdentifyImage | ( | Image * | image,
|  | FILE * | file,
|  | const MagickBooleanType | verbose |
| ) |  |  |